Skip to main content

Update Actor task input

PUT 

/v2/actor-tasks/:actorTaskId/input

Updates the input of a task using values specified by an object passed as JSON in the PUT payload.

If the object does not define a specific property, its value is not updated.

The response is the full task input as returned by the Get Actor task input endpoint.

The request needs to specify the Content-Type: application/json HTTP header!

When providing your API authentication token, we recommend using the request's Authorization header, rather than the URL. For details, see Authentication.

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task

Bodyrequired

  • object object

Status 200

Response Headers
    {
    "myField1": "some-value",
    "myField2": "updated-value",
    "myField3": 1
    }